%define upstream_name    Sub-Talisman-Struct
%define upstream_version 0.006

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    The spawn of MooX-Struct and Sub-Talisman
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Sub/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(MooX::Struct) >= 0.6.0
BuildRequires: perl(Sub::Talisman)
BuildRequires: perl(Test::More) >= 0.610.0
BuildRequires: perl(Test::NoWarnings)
BuildArch:  noarch

%description
the MooX::Struct manpage creates light-weight objects which can have
required attributes, type constraints, etc. the Sub::Talisman manpage
allows you to associate data with subs. This module is a bit of glue
between MooX::Struct and Sub::Talisman.

The import routine uses the same syntax as the MooX::Struct manpage, but
instead of creating struct-like classes for you to use, it creates
struct-like classes for Sub::Talisman to bless attribute parameters into.

Sub::Talisman::Struct itself is a subclass of Sub::Talisman, so inherits
the 'get_attributes', 'get_attribute_parameters', 'get_subs' and
'setup_for' methods as documented.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc COPYRIGHT Changes LICENSE META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.6.0-6.mga10
+ Revision: 2204634
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.6.0-5.mga9
+ Revision: 1810253
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.6.0-4.mga8
+ Revision: 1506200
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.6.0-3.mga7
+ Revision: 1286216
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.6.0-2.mga7
+ Revision: 1166670
- rebuild with fixed rpm for missing autodeps

* Sat Sep 23 2017 sander85 <sander85> 0.6.0-1.mga7
+ Revision: 1158314
- update to 0.006

* Sun Jun 19 2016 pterjan <pterjan> 0.5.0-3.mga6
+ Revision: 1033560
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.5.0-2.mga6
+ Revision: 966909
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 0.5.0-1.mga6
+ Revision: 847058
- update to 0.005

* Wed Oct 15 2014 umeabot <umeabot> 0.4.0-4.mga5
+ Revision: 750221
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.0-3.mga5
+ Revision: 686274
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.4.0-2.mga4
+ Revision: 526297
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 jquelin <jquelin> 0.4.0-1.mga4
+ Revision: 436505
- update to 0.004
- imported package perl-Sub-Talisman-Struct


* Sun Oct 21 2012 cpan2dist 0.003-1mga
- initial mageia release, generated with cpan2dist
